DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# StringAppend

Append a string to another

## SYNOPSIS

`#include "dip_string.h"`

dip_Error dip_StringAppend ( str1, str2, cstr )

## FUNCTION

Concatenates `str1` and `str2` and puts the result in `str1`, which is increased in size if necessary. If `str2` is `0`, `cstr` is used instead.

## ARGUMENTS

Data type | Name | Description
`dip_String` | `str1` | First string
`dip_String` | `str2` | Second string
`char *` | `cstr` | Second string

## SEE ALSO

`StringCat`, `StringCompare`, `StringCompareCaseInsensitive`, `StringCopy`, `StringCrop`, `StringNew`, `StringReplace`, `UnderscoreSpaces`